using System;
using System.Collections.Generic;

namespace Petlja1
{
    class Program
    {
        static void Main(string[] args)
        {
            int n, m, k; n = 3; k = 1;
            List<int> banans = new List<int>();

            int T = int.Parse(Console.ReadLine());
            for(int i = 0; i < T; i++)
            {
                m = int.Parse(Console.ReadLine());
                banans.Add(m);
                
            }

            for (int i = 0; i < banans.Count; i++)
            {
                if (banans[i] <= 5) // 1,1,1 / 1,2,1 / 1,2,2 / 1,2,3 YES -> min. 6 banan
                {
                    Console.WriteLine("Nie");
                }
                else
                {
                    Console.WriteLine("Tak");
                }
            }
            
        }
    }
}